/*
 * Class ITERATION_CURSOR [POINTER]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1789 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1789 [] = {0xFF01,1551,1788,881,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1789 [] = {0xFF01,1788,881,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1789 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1789 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1789 [] = {0xFF01,1788,881,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1789 [] = {0xFF01,1788,881,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1789 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1789 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1789 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1789 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1789 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1789 [] = {1788,881,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1789 [] = {0xFF01,1788,881,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1789 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1789 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1789[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1789), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1789), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1789), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1789), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1789), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1789), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1789), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1789), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1789), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1789), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1789), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1789), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1789), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1789), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1789), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1789), -1, 0xFFFFFFFF},
};
void Init1789(void)
{
	IDSC(desc_1789, 0, 1788);
	IDSC(desc_1789 + 1, 1, 1788);
	IDSC(desc_1789 + 32, 1449, 1788);
}


#ifdef __cplusplus
}
#endif
